Bug 818818 - [abrt] speech-dispatcher-0.7.1-6.fc16: __memcpy_ssse3_back: Process /usr/lib64/speech-dispatcher-modules/sd_espeak was killed by signal 11 (SIGSEGV)
[abrt] speech-dispatcher-0.7.1-6.fc16: __memcpy_ssse3_back: Process /usr/lib6...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: speech-dispatcher (Show other bugs)
16
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Peter Robinson
Fedora Extras Quality Assurance
abrt_hash:a68ef3a06376d5ea5efec961d62...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-04 01:34 EDT by Peter Rayner
Modified: 2013-02-13 15:59 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-13 15:59:24 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (132.75 KB, text/plain)
2012-05-04 01:34 EDT, Peter Rayner
no flags Details
File: maps (17.18 KB, text/plain)
2012-05-04 01:34 EDT, Peter Rayner
no flags Details

  None (edit)
Description Peter Rayner 2012-05-04 01:34:33 EDT
libreport version: 2.0.8
abrt_version:   2.0.7
backtrace_rating: 4
cmdline:        '' /etc/speech-dispatcher/modules//espeak.conf
crash_function: __memcpy_ssse3_back
executable:     /usr/lib64/speech-dispatcher-modules/sd_espeak
kernel:         3.3.4-1.fc16.x86_64
pid:            2146
pwd:            /home/prayner
reason:         Process /usr/lib64/speech-dispatcher-modules/sd_espeak was killed by signal 11 (SIGSEGV)
time:           Fri 04 May 2012 03:09:09 PM EST
uid:            1000
username:       prayner
xsession_errors: 

backtrace:      Text file, 135936 bytes
maps:           Text file, 17592 bytes

comment:
:speechd was running as speech system for orca
:problem occurred running libreoffice writer but has happened elsewhere
:not easily reproducible but frequent

dso_list:
:/lib64/libm-2.14.90.so glibc-2.14.90-24.fc16.6.x86_64 (Fedora Project) 1335146188
:/usr/lib64/libxcb.so.1.1.0 libxcb-1.7-3.fc16.x86_64 (Fedora Project) 1320287306
:/usr/lib64/libvorbis.so.0.4.6 libvorbis-1:1.3.3-1.fc16.x86_64 (Fedora Project) 1335146237
:/usr/lib64/libX11-xcb.so.1.0.0 libX11-1.4.3-1.fc16.x86_64 (Fedora Project) 1320287306
:/usr/lib64/libvorbisenc.so.2.0.9 libvorbis-1:1.3.3-1.fc16.x86_64 (Fedora Project) 1335146237
:/usr/lib64/libpulse-simple.so.0.0.3 pulseaudio-libs-0.9.23-1.fc16.x86_64 (Fedora Project) 1320287308
:/usr/lib64/libX11.so.6.3.0 libX11-1.4.3-1.fc16.x86_64 (Fedora Project) 1320287306
:/usr/lib64/libXtst.so.6.1.0 libXtst-1.2.0-2.fc15.x86_64 (Fedora Project) 1320287306
:/usr/lib64/libogg.so.0.7.1 libogg-2:1.2.2-3.fc15.x86_64 (Fedora Project) 1320287306
:/usr/lib64/libSM.so.6.0.1 libSM-1.2.0-2.fc15.x86_64 (Fedora Project) 1320287305
:/usr/lib64/libao.so.4.0.0 libao-1.1.0-1.fc16.x86_64 (Fedora Project) 1320287308
:/usr/lib64/libportaudio.so.2.0.0 portaudio-19-12.fc16.x86_64 (Fedora Project) 1320287328
:/lib64/libpthread-2.14.90.so glibc-2.14.90-24.fc16.6.x86_64 (Fedora Project) 1335146188
:/usr/lib64/libespeak.so.1.1.46 espeak-1.46.02-1.fc16.x86_64 (Fedora Project) 1335151092
:/usr/lib64/libpulse.so.0.12.4 pulseaudio-libs-0.9.23-1.fc16.x86_64 (Fedora Project) 1320287308
:/usr/lib64/gconv/gconv-modules.cache glibc-2.14.90-24.fc16.6.x86_64 (Fedora Project) 1335146188
:/lib64/libglib-2.0.so.0.3000.2 glib2-2.30.2-1.fc16.x86_64 (Fedora Project) 1335150739
:/lib64/libwrap.so.0.7.6 tcp_wrappers-libs-7.6-64.fc16.x86_64 (Fedora Project) 1320287306
:/usr/lib64/libFLAC.so.8.2.0 flac-1.2.1-8.fc16.x86_64 (Fedora Project) 1335615595
:/lib64/libdbus-1.so.3.5.6 dbus-libs-1:1.4.10-3.fc16.x86_64 (Fedora Project) 1320287304
:/lib64/libasound.so.2.0.0 alsa-lib-1.0.25-1.fc16.x86_64 (Fedora Project) 1335150747
:/lib64/libdl-2.14.90.so glibc-2.14.90-24.fc16.6.x86_64 (Fedora Project) 1335146188
:/lib64/libuuid.so.1.3.0 libuuid-2.20.1-2.2.fc16.x86_64 (Fedora Project) 1335150729
:/lib64/libnsl-2.14.90.so glibc-2.14.90-24.fc16.6.x86_64 (Fedora Project) 1335146188
:/lib64/libc-2.14.90.so glibc-2.14.90-24.fc16.6.x86_64 (Fedora Project) 1335146188
:/lib64/librt-2.14.90.so glibc-2.14.90-24.fc16.6.x86_64 (Fedora Project) 1335146188
:/usr/lib64/libICE.so.6.3.0 libICE-1.0.7-1.fc16.x86_64 (Fedora Project) 1320287304
:/usr/lib64/libXau.so.6.0.0 libXau-1.0.6-2.fc15.x86_64 (Fedora Project) 1320287306
:/lib64/libgcc_s-4.6.3-20120306.so.1 libgcc-4.6.3-2.fc16.x86_64 (Fedora Project) 1335150721
:/lib64/ld-2.14.90.so glibc-2.14.90-24.fc16.6.x86_64 (Fedora Project) 1335146188
:/usr/lib64/libXext.so.6.4.0 libXext-1.3.0-1.fc16.x86_64 (Fedora Project) 1335150727
:/usr/lib64/libsndfile.so.1.0.25 libsndfile-1.0.25-1.fc16.x86_64 (Fedora Project) 1320287308
:/usr/lib64/libstdc++.so.6.0.16 libstdc++-4.6.3-2.fc16.x86_64 (Fedora Project) 1335150726
:/usr/lib64/libasyncns.so.0.3.1 libasyncns-0.8-2.fc15.x86_64 (Fedora Project) 1320287307
:/usr/lib/locale/locale-archive glibc-common-2.14.90-24.fc16.6.x86_64 (Fedora Project) 1335146184
:/lib64/libgthread-2.0.so.0.3000.2 glib2-2.30.2-1.fc16.x86_64 (Fedora Project) 1335150739
:/lib64/libresolv-2.14.90.so glibc-2.14.90-24.fc16.6.x86_64 (Fedora Project) 1335146188
:/usr/lib64/libpulsecommon-0.9.23.so pulseaudio-libs-0.9.23-1.fc16.x86_64 (Fedora Project) 1320287308
:/usr/lib64/speech-dispatcher/libsdaudio.so.2.0.4 speech-dispatcher-0.7.1-6.fc16.x86_64 (Fedora Project) 1320287360
:/usr/lib64/libcelt0.so.2.0.0 celt-0.11.1-2.fc16.x86_64 (Fedora Project) 1320287312
:/usr/lib64/libjack.so.0.1.0 jack-audio-connection-kit-1.9.8-3.fc16.x86_64 (Fedora Project) 1335151065
:/usr/lib64/libdotconf.so.0.0.1 dotconf-1.3-2.fc15.x86_64 (Fedora Project) 1320287341
:/usr/lib64/libXi.so.6.1.0 libXi-1.4.5-1.fc16.x86_64 (Fedora Project) 1335150748
:/usr/lib64/speech-dispatcher-modules/sd_espeak speech-dispatcher-0.7.1-6.fc16.x86_64 (Fedora Project) 1320287360

environ:
:BIBINPUTS=/home/prayner/writeups/refs
:XDG_VTNR=1
:XDG_SESSION_ID=2
:HOSTNAME=raynernix2.earthsci.unimelb.edu.au
:BSTINPUTS=/home/prayner/tex//:/usr/share/texmf/bibtex/bst/natbib//
:IMSETTINGS_INTEGRATE_DESKTOP=yes
:GPG_AGENT_INFO=/tmp/keyring-mFKpwf/gpg:0:1
:DTK_PROGRAM=outloud
:HOST=raynernix2.earthsci.unimelb.edu.au
:SHELL=/bin/tcsh
:TERM=linux
:IDL_STARTUP=/home/prayner/.idlrc
:XDG_SESSION_COOKIE=a88207602357795400f77a6900000013-1336107858.201624-147061149
:GJS_DEBUG_OUTPUT=stderr
:'ENSCRIPT=-fBraille-Nemeth21 -B -p - -h -q'
:QTDIR=/usr/lib64/qt-3.3
:GNOME_KEYRING_CONTROL=/tmp/keyring-mFKpwf
:'GJS_DEBUG_TOPICS=JS ERROR;JS LOG'
:QTINC=/usr/lib64/qt-3.3/include
:IMSETTINGS_MODULE=none
:GROUP=prayner
:USER=prayner
:LS_COLORS=
:SSH_AUTH_SOCK=/tmp/keyring-mFKpwf/ssh
:HOSTTYPE=x86_64-linux
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/1765,unix/unix:/tmp/.ICE-unix/1765
:USERNAME=prayner
:MAIL=/var/spool/mail/prayner
:PATH=.:/home/prayner/bin:/usr/local/bin:/bin:/usr/bin:/usr/X11R6/bin:/sbin:/usr/sbin:/usr/java/jdk/bin:/usr/games:/usr/kerberos/bin:/opt/intel/fc/10.1/bin:/usr/bin:/usr/sbin:/bin
:DESKTOP_SESSION=gnome
:QT_IM_MODULE=xim
:WWW_HOME=http://www.theage.com.au/
:PWD=/home/prayner
:XMODIFIERS=@im=none
:EDITOR=emacs
:GNOME_KEYRING_PID=1590
:LANG=en_US.UTF-8
:PYTHONSTARTUP=/home/prayner/.pythonrc.py
:ECIINI=/var/opt/IBM/ibmtts/cfg/eci.ini
:TZ=Australia/Melbourne
:LM_LICENSE_FILE=/usr/local/itt/license/license.dat
:GDMSESSION=gnome
:SSH_ASKPASS=/usr/libexec/openssh/gnome-ssh-askpass
:TEXINPUTS=.:/home/prayner/tex//:
:HOME=/home/prayner
:XDG_SEAT=seat0
:SHLVL=2
:OSTYPE=linux
:GNOME_DESKTOP_SESSION_ID=this-is-deprecated
:IDL_PATH=+/home/prayner/lib/idl:<IDL_DEFAULT>
:VENDOR=unknown
:LESS=mCE
:PYTHONPATH=/home/prayner/lib/python:/usr/lib64/python2.7/site-packages
:MACHTYPE=x86_64
:LOGNAME=prayner
:PRINTER=canon
:VISUAL=emacs
:QTLIB=/usr/lib64/qt-3.3/lib
:CVS_RSH=ssh
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-aaUAVjyyFO,guid=17b252c0b95cb236617e0fc800000073
:PKG_CONFIG_PATH=/usr/local/lib/pkgconfig:/usr/lib/pkgconfig
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:XLISPPATH=/home/prayner/packages/nyquist/runtime:/home/prayner/packages/nyquist/lib
:WINDOWPATH=1
:XDG_RUNTIME_DIR=/run/user/prayner
:DISPLAY=:0.0
:CCACHE_HASHDIR=
:XAUTHORITY=/var/run/gdm/auth-for-prayner-3uBnXn/database
:_=/usr/bin/python
:AT_SPI_CLIENT=1

smolt_data:
:
:
:General
:=================================
:UUID: 63b66354-c699-40f1-9d00-3ba75f3d1a98
:OS: Fedora release 16 (Verne)
:Default run level: Unknown
:Language: en_US.UTF-8
:Platform: x86_64
:BogoMIPS: 5054.23
:CPU Vendor: GenuineIntel
:CPU Model: Intel(R) Core(TM) i5 CPU       M 540  @ 2.53GHz
:CPU Stepping: 2
:CPU Family: 6
:CPU Model Num: 37
:Number of CPUs: 4
:CPU Speed: 2534
:System Memory: 3755
:System Swap: 5791
:Vendor: Dell Inc.
:System: Latitude E4310 0001
:Form factor: Laptop
:Kernel: 3.3.4-1.fc16.x86_64
:SELinux Enabled: 1
:SELinux Policy: targeted
:SELinux Enforce: Enforcing
:MythTV Remote: Unknown
:MythTV Role: Unknown
:MythTV Theme: Unknown
:MythTV Plugin: 
:MythTV Tuner: -1
:
:
:Devices
:=================================
:(32902:68:4136:1040) pci, agpgart-intel, HOST/PCI, Core Processor DRAM Controller
:(32902:15152:4136:1040) pci, None, SERIAL, 5 Series/3400 Series Chipset SMBus Controller
:(32902:15151:4136:1040) pci, ahci, STORAGE, 5 Series/3400 Series Chipset 6 port SATA AHCI Controller
:(32902:15119:4136:1040) pci, None, PCI/ISA, 5 Series/3400 Series Chipset LPC Interface Controller
:(32902:15154:4136:1040) pci, intel ips, NONE, 5 Series/3400 Series Chipset Thermal Subsystem
:(32902:4330:4136:1040) pci, e1000e, ETHERNET, 82577LM Gigabit Network Connection
:(32902:15174:4136:1040) pci, pcieport, PCI/PCI, 5 Series/3400 Series Chipset PCI Express Root Port 3
:(32902:16940:32902:4897) pci, iwlwifi, NETWORK, Centrino Advanced-N 6200 2x2 AGN
:(32902:15164:4136:1040) pci, ehci_hcd, USB, 5 Series/3400 Series Chipset USB2 Enhanced Host Controller
:(32902:9288:4136:1040) pci, None, PCI/PCI, 82801 Mobile PCI Bridge
:(32902:15204:4136:1040) pci, None, SIMPLE, 5 Series/3400 Series Chipset HECI Controller
:(4480:59426:4136:1040) pci, sdhci-pci, BASE, MMC/SD Host Controller
:(32902:70:4136:1040) pci, i915, VIDEO, Core Processor Integrated Graphics Controller
:(32902:15176:4136:1040) pci, pcieport, PCI/PCI, 5 Series/3400 Series Chipset PCI Express Root Port 4
:(32902:15170:4136:1040) pci, pcieport, PCI/PCI, 5 Series/3400 Series Chipset PCI Express Root Port 1
:(32902:15172:4136:1040) pci, pcieport, PCI/PCI, 5 Series/3400 Series Chipset PCI Express Root Port 2
:(32902:15191:4136:1040) pci, snd_hda_intel, MULTIMEDIA, 5 Series/3400 Series Chipset High Definition Audio
:(32902:15207:4136:1040) pci, serial, 16550_SERIAL, 5 Series/3400 Series Chipset KT Controller
:(32902:15156:4136:1040) pci, ehci_hcd, USB, 5 Series/3400 Series Chipset USB2 Enhanced Host Controller
:(32902:11521:32902:32902) pci, None, HOST/PCI, Core Processor QuickPath Architecture System Address Decoder
:(32902:11362:32902:32902) pci, None, HOST/PCI, Core Processor QuickPath Architecture Generic Non-core Registers
:(32902:11537:32902:32902) pci, None, HOST/PCI, Core Processor QPI Physical 0
:(32902:11536:32902:32902) pci, None, HOST/PCI, Core Processor QPI Link 0
:(32902:11539:32902:32902) pci, None, HOST/PCI, Core Processor Reserved
:(32902:11538:32902:32902) pci, None, HOST/PCI, Core Processor Reserved
:
:
:Filesystem Information
:=================================
:device mtpt type bsize frsize blocks bfree bavail file ffree favail
:-------------------------------------------------------------------
:/dev/mapper/vg_raynernix2-lv_root / ext4 4096 4096 13092026 10730807 10599785 3276800 2986719 2986719
:/dev/sda1 /boot ext4 1024 1024 508745 407833 382233 128016 127737 127737
:/dev/mapper/vg_raynernix2-lv_home /home ext4 4096 4096 46267545 27495277 25178989 11583488 11402880 11402880
:

var_log_messages:
:May  1 19:27:31 raynernix2 kernel: [ 2494.857346] sd_espeak[2235]: segfault at 21 ip 0000000000000021 sp 00007f7bb477a748 error 14 in sd_espeak[400000+16000]
:May  1 19:27:31 raynernix2 abrt[6417]: Saved core dump of pid 2232 (/usr/lib64/speech-dispatcher-modules/sd_espeak) to /var/spool/abrt/ccpp-2012-05-01-19:27:31-2232 (28647424 bytes)
:May  4 15:09:09 raynernix2 kernel: [  404.412539] sd_espeak[2149]: segfault at 7f1bc4046000 ip 00000031c5342904 sp 00007f1bd2266b28 error 4 in libc-2.14.90.so[31c5200000+1ad000]
:May  4 15:09:09 raynernix2 abrt[2261]: Saved core dump of pid 2146 (/usr/lib64/speech-dispatcher-modules/sd_espeak) to /var/spool/abrt/ccpp-2012-05-04-15:09:09-2146 (28262400 bytes)
Comment 1 Peter Rayner 2012-05-04 01:34:40 EDT
Created attachment 582032 [details]
File: backtrace
Comment 2 Peter Rayner 2012-05-04 01:34:42 EDT
Created attachment 582033 [details]
File: maps
Comment 3 Fedora End Of Life 2013-01-16 11:53:43 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Fedora End Of Life 2013-02-13 15:59:27 EST
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.